import * as React from 'react';
import { BaseFieldProps } from '../../common/interfaces/CommonProps';
export interface PopupTextareaProps extends BaseFieldProps {
    buttonLabel: string;
    buttonColor?: string;
    modalClassName?: string;
    modalTitle: any;
    modalBody: string;
    cancelButtonText: string;
    doneButtonText: string;
    value: any;
    onChange: (value: any) => void;
    onBlur: () => void;
}
export interface PopupTextareaState {
    isOpen: boolean;
    currentValue: any;
}
export declare class PopupTextareaForm extends React.Component<PopupTextareaProps, PopupTextareaState> {
    static defaultProps: {
        buttonColor: string;
        doneButtonText: string;
        cancelButtonText: string;
    };
    constructor(props: PopupTextareaProps);
    toggle: () => void;
    handleOnChange: (e: any) => void;
    handleClickDone: () => void;
    render(): JSX.Element;
}
declare const _default: {
    new (props: (BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps) | Readonly<BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps>): {
        componentDidMount(): void;
        componentDidUpdate(oldProps: BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps): void;
        saveToStore: (data: any) => void;
        render(): JSX.Element;
        context: any;
        setState<K extends string | number | symbol>(state: any, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<any>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps>, prevState: Readonly<any>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): void;
    };
    new (props: BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps, context: any): {
        componentDidMount(): void;
        componentDidUpdate(oldProps: BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps): void;
        saveToStore: (data: any) => void;
        render(): JSX.Element;
        context: any;
        setState<K extends string | number | symbol>(state: any, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<any>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps>, prevState: Readonly<any>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<BaseFieldProps & PopupTextareaProps & import("../../common/withFormComponent").InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): void;
    };
    contextType?: React.Context<any> | undefined;
};
export default _default;
