import * as React from 'react';
import { BaseFieldProps } from '../../common/interfaces/CommonProps';
export declare const RADIO_BUTTONS_DIRECTIONS: {
    HORIZONTAL: string;
    VERTICAL: string;
};
export interface RadioButtonsProps extends BaseFieldProps {
    options: string[];
    noLabel?: boolean;
    label?: string | {
        htmlFor: string;
        value: any;
    };
    value?: any;
    onChange: (value: string) => void;
    onBlur?: () => void;
    direction?: string;
}
export declare class RadioButtonsForm extends React.Component<RadioButtonsProps, any> {
    static defaultProps: {
        direction: string;
    };
    render(): JSX.Element;
}
declare const _default: {
    new (props: (BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps) | Readonly<BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps>): {
        componentDidMount(): void;
        componentDidUpdate(oldProps: BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps): void;
        saveToStore: (data: any) => void;
        render(): JSX.Element;
        context: any;
        setState<K extends string | number | symbol>(state: any, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<any>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps>, prevState: Readonly<any>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): void;
    };
    new (props: BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps, context: any): {
        componentDidMount(): void;
        componentDidUpdate(oldProps: BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps): void;
        saveToStore: (data: any) => void;
        render(): JSX.Element;
        context: any;
        setState<K extends string | number | symbol>(state: any, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<any>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps>, prevState: Readonly<any>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<BaseFieldProps & RadioButtonsProps & import("../../common/withFormComponent").InjectedExtraProps>, nextState: Readonly<any>, nextContext: any): void;
    };
    contextType?: React.Context<any> | undefined;
};
export default _default;
